html {
  margin: 0;
}

body {
  display: flex;
  box-sizing: border-box;
  background: #eee;
  height: 98vh;
  overflow: hidden;
  margin: 0;
}

body > div {
  display: flex;
  flex-direction: column;
  width: 100%;
  /* height: 100%; */
}

body > div > * {
  border: 1px solid gray;
  flex: 1;
  flex-direction: column;
  box-sizing: border-box;
  margin: 0;
  display: flex;
}

textarea {
  flex: 1;
  white-space: pre;
  margin-left: 0.2rem;
  padding: 0.5rem;
}

.code, .output, .examples, .syntax {
  position: relative;
}

.code {
  height: 50vh;
  overflow: auto;
}

.output {
  flex: 1;
  height: 60vh;
  overflow: auto;
}

.code {
  flex: none;
}

.examples section, .syntax * {
  padding-left: 5px;
  box-sizing: border-box;
}

.error {
  color: brown;
}

.output > div, .examples > div, .syntax > div {
  overflow: auto;
}

.code:before, .output:before, .examples:before, .syntax:before {
  position: absolute;
  right: 3px;
  color: #aaa;
  font-style: italic;
}

.code:before {
  zcontent: 'Code';
}

.examples code, .syntax code {
  white-space: pre;
  font: 12px lucida console;
  color: #222;
  display: block;
  margin: 1em 2em;
}

.examples section {
  cursor: pointer;
}

.examples section:hover code {
  color: blue;
}

.selected {
  background: #cfc;
}

.examples section {
  border-bottom: 1px solid #888;
  padding: 0.5em;
}

a {
  font-weight: bold;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

h2 {
  font-size: 14px;
  flex: none;
  background: #369;
  margin: 0;
  padding: 0.3em;
  color: #eee;
  box-sizing: border-box;
}

.output img {
  float: right;
  height: 16px;
  cursor: pointer;
}

textarea.JavaScript {
  display: none;
}

.syntax table {
  margin-left: 2em;
  background: #f8f8f8;
}

.syntax table td:nth-child(1) {
  font: 13px lucida console;
  color: brown;
  white-space: nowrap;
}

.syntax table td:nth-child(2) {
  color: gray;
  font-style: italic;
}

.flagged {
  background: yellow;
}

label {
  cursor: pointer;
}